### Method

# GLib Queue pop_head_link

#### Declaration

    GList*
    g_queue_pop_head_link (
      GQueue* queue
    )

#### Description

Removes and returns the first element of the queue.

This method is not directly available to language bindings.

#### Return value

Type: A list of `gpointer`

The `GList` element at the head of the queue, or `NULL` if the queue is empty.

The returned data is owned by the instance.